
#include <clib/exec_protos.h>
#include <clib/dos_protos.h>
#include <libraries/sregexpbase.h>
#include <stdlib.h>

struct SregExpBase *SregExpBase;

__autoinit void
opensreg()
{
    if (!(SregExpBase = OpenLibrary("sregexp.library",7))) {
	Write(Output(),"Couldn't Open 'sregexp.library'.\n",23);
	_exit(10);
    }
}

__autoexit void
closesreg()
{
    if (SregExpBase)
	CloseLibrary((struct Library *)SregExpBase);
}

